Login
[x]
Log in using an account from:
Fedora Account System
Red Hat Associate
Red Hat Customer
Or login using a Red Hat Bugzilla account
Forgot Password
Login:
Hide Forgot
Create an Account
Red Hat Bugzilla – Attachment 668761 Details for
Bug 802417
[glusterfs-3.3.0qa27]: gfid change in the backend leading to EIO
[?]
New
Simple Search
Advanced Search
My Links
Browse
Requests
Reports
Current State
Search
Tabular reports
Graphical reports
Duplicates
Other Reports
User Changes
Plotly Reports
Bug Status
Bug Severity
Non-Defaults
|
Product Dashboard
Help
Page Help!
Bug Writing Guidelines
What's new
Browser Support Policy
5.0.4.rh83 Release notes
FAQ
Guides index
User guide
Web Services
Contact
Legal
This site requires JavaScript to be enabled to function correctly, please enable it.
shell script for problem recreation
file_802417.txt (text/plain), 2.34 KB, created by
Etsuji Nakai
on 2012-12-25 07:33:51 UTC
(
hide
)
Description:
shell script for problem recreation
Filename:
MIME Type:
Creator:
Etsuji Nakai
Created:
2012-12-25 07:33:51 UTC
Size:
2.34 KB
patch
obsolete
>#!/bin/sh > >export LANG=C >BRICK=/data/brick01 >SERVER=rhs20- >###SERVER=gluster- > >function prepare_vol01 { > umount /mnt > ssh ${SERVER}01 "service glusterd restart" > ssh ${SERVER}02 "service glusterd restart" > ssh ${SERVER}03 "service glusterd restart" > sleep 3 > ssh ${SERVER}01 "yes | gluster vol stop vol01" > sleep 1 > ssh ${SERVER}01 "yes | gluster vol delete vol01" > ssh ${SERVER}01 rm -rf ${BRICK}/ > ssh ${SERVER}02 rm -rf ${BRICK}/ > ssh ${SERVER}03 rm -rf ${BRICK}/ > sleep 1 > ssh ${SERVER}01 "gluster vol create vol01 replica 3 \ > ${SERVER}01:${BRICK} \ > ${SERVER}02:${BRICK} \ > ${SERVER}03:${BRICK}" > sleep 1 > ssh ${SERVER}01 "gluster vol start vol01" > mount -t glusterfs -o log-level=TRACE ${SERVER}01:/vol01 /mnt >} > >function append_files { > date >> /mnt/file1 > if [[ $? -ne 0 ]]; then > exit 1 > fi >} > >function delete_files { > rm -f /mnt/file* >} > >function stat_files { > ls -lR /mnt >/dev/null > find /mnt | xargs stat > /dev/null >} > >function get_fattr { > echo "====" > date +%T.%N > res01=$(ssh ${SERVER}01 "getfattr -d -m . -e hex ${BRICK} 2>/dev/null") > res02=$(ssh ${SERVER}02 "getfattr -d -m . -e hex ${BRICK} 2>/dev/null") > res03=$(ssh ${SERVER}03 "getfattr -d -m . -e hex ${BRICK} 2>/dev/null") > echo $res01 | sed 's/trusted/\ntrusted/g' > echo > echo $res02 | sed 's/trusted/\ntrusted/g' > echo > echo $res03 | sed 's/trusted/\ntrusted/g' > echo "----" > res01=$(ssh ${SERVER}01 "getfattr -d -m . -e hex ${BRICK}/file1 2>/dev/null") > res02=$(ssh ${SERVER}02 "getfattr -d -m . -e hex ${BRICK}/file1 2>/dev/null") > res03=$(ssh ${SERVER}03 "getfattr -d -m . -e hex ${BRICK}/file1 2>/dev/null") > echo $res01 | sed 's/trusted/\ntrusted/g' > echo > echo $res02 | sed 's/trusted/\ntrusted/g' > echo > echo $res03 | sed 's/trusted/\ntrusted/g' > > if [[ $res01 == $res02 && $res01 == $res03 ]]; then > echo "well healed." > return 99 > fi > return 0 >} > >function failure01 { > append_files > > ssh ${SERVER}02 "pkill -9 gluster" > ssh ${SERVER}03 "pkill -9 gluster" > > delete_files > append_files > > ssh ${SERVER}02 "service glusterd start" > ssh ${SERVER}03 "service glusterd start" >} > > >#MAIN >prepare_vol01 >c=0 >while [[ true ]]; do > echo > c=$(( c + 1 )) > echo "Trial No.$c" > date > failure01 >/dev/null 2>&1 > > while [[ true ]]; do > stat_files >/dev/null 2>&1 > get_fattr || break > append_files > done >done
You cannot view the attachment while viewing its details because your browser does not support IFRAMEs.
View the attachment on a separate page
.
View Attachment As Raw
Actions:
View
Attachments on
bug 802417
: 668761